package northwind_entities;// default package
// Generated Dec 23, 2019, 10:52:22 PM by Hibernate Tools 3.2.2.GA


import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

import static javax.persistence.GenerationType.IDENTITY;

/**
 * Invoices generated by hbm2java
 */
@Entity
@Table(name="invoices"
    ,catalog="northwind"
)
public class Invoices  implements java.io.Serializable {


     private Integer id;
     private Orders orders;
     private Date invoiceDate;
     private Date dueDate;
     private BigDecimal tax;
     private BigDecimal shipping;
     private BigDecimal amountDue;

    public Invoices() {
    }

	
    public Invoices(Date invoiceDate) {
        this.invoiceDate = invoiceDate;
    }
    public Invoices(Orders orders, Date invoiceDate, Date dueDate, BigDecimal tax, BigDecimal shipping, BigDecimal amountDue) {
       this.orders = orders;
       this.invoiceDate = invoiceDate;
       this.dueDate = dueDate;
       this.tax = tax;
       this.shipping = shipping;
       this.amountDue = amountDue;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)
    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="order_id")
    public Orders getOrders() {
        return this.orders;
    }
    
    public void setOrders(Orders orders) {
        this.orders = orders;
    }
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="invoice_date", nullable=false, length=19)
    public Date getInvoiceDate() {
        return this.invoiceDate;
    }
    
    public void setInvoiceDate(Date invoiceDate) {
        this.invoiceDate = invoiceDate;
    }
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="due_date", length=19)
    public Date getDueDate() {
        return this.dueDate;
    }
    
    public void setDueDate(Date dueDate) {
        this.dueDate = dueDate;
    }
    
    @Column(name="tax", scale=4)
    public BigDecimal getTax() {
        return this.tax;
    }
    
    public void setTax(BigDecimal tax) {
        this.tax = tax;
    }
    
    @Column(name="shipping", scale=4)
    public BigDecimal getShipping() {
        return this.shipping;
    }
    
    public void setShipping(BigDecimal shipping) {
        this.shipping = shipping;
    }
    
    @Column(name="amount_due", scale=4)
    public BigDecimal getAmountDue() {
        return this.amountDue;
    }
    
    public void setAmountDue(BigDecimal amountDue) {
        this.amountDue = amountDue;
    }




}


